/************************************************************************
 * infomenu.c   - menu definitions for periodic table of elements info. *
 * 11-19-88       Paul T. Miller                                        *
 ************************************************************************/

#include <exec/types.h>
#include <intuition/intuition.h>

extern struct TextAttr TextText;

struct IntuiText InfoMenuText[] =
{
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" Subatomic Particles", NULL },
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" Radioactive Isotopes ", NULL },
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" Ionic Character", NULL },
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" Notes", NULL },
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" About", NULL },
   { 0, 1, JAM1, 0, 1, &TextText, (UBYTE *)" Quit", NULL}
};

struct MenuItem InfoItems[] =
{
   {
      &InfoItems[1], 0, 0, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[0], NULL, 'S', NULL, NULL
   },
   {
      &InfoItems[2], 0, 10, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[1], NULL, 'R', NULL, NULL
   },
   {
      &InfoItems[3], 0, 20, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[2], NULL, 'I', NULL, NULL
   },
   {
      &InfoItems[4], 0, 30, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[3], NULL, 'N', NULL, NULL
   },
   {
      &InfoItems[5], 0, 40, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[4], NULL, '?', NULL, NULL
   },
   {
      NULL, 0, 50, 219, 10, ITEMENABLED | ITEMTEXT | COMMSEQ | HIGHCOMP,
      0, (APTR)&InfoMenuText[5], NULL, 'Q', NULL, NULL
   }
};

struct Menu infomenu_strip[] =
{
   { NULL, 3, 0, 54, 0, MENUENABLED, " Info", &InfoItems[0] }
};

